From 83b36221b2544ff01c2b94839279b715cb1bfe9e Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 4 Aug 2024 00:54:02 +0800
Subject: [PATCH 04/21] gpu_apple.m: unbreak for < 10.11

---
 src/detection/gpu/gpu_apple.m | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/detection/gpu/gpu_apple.m b/src/detection/gpu/gpu_apple.m
index e5b6bebf..314f83a3 100644
--- a/src/detection/gpu/gpu_apple.m
+++ b/src/detection/gpu/gpu_apple.m
@@ -1,5 +1,7 @@
+#include <AvailabilityMacros.h>
 #include "gpu.h"
 
+#if MAC_OS_X_VERSION_MIN_REQUIRED >= 101100
 #import <Metal/MTLDevice.h>
 
 #ifndef MAC_OS_VERSION_13_0
@@ -9,9 +11,11 @@
     #define MTLFeatureSet_macOS_GPUFamily1_v4 ((MTLFeatureSet) 10004)
     #define MTLFeatureSet_macOS_GPUFamily2_v1 ((MTLFeatureSet) 10005)
 #endif
+#endif
 
 const char* ffGpuDetectMetal(FFlist* gpus)
 {
+#if MAC_OS_X_VERSION_MIN_REQUIRED >= 101000
     if (@available(macOS 10.13, *))
     {
         for (id<MTLDevice> device in MTLCopyAllDevices())
@@ -47,5 +51,6 @@ const char* ffGpuDetectMetal(FFlist* gpus)
         }
         return NULL;
     }
+#endif
     return "Metal API is not supported by this macOS version";
 }
-- 
2.46.0

